Requerimientos de Velneo

Velneo consta de varios componentes, aunque principalmente existen tres tipos: el vServer, el vModApache y el resto de componentes cliente. Veamos cada uno de los casos:

Para todos

  • Velneo tiene componentes de 64 (para Windows, Linux y OS X) y de 32 bits (solamente para Windows).
  • Los componentes de 64 bits solamente podrán ser usados en SS.OO. de 64 bits.
  • Los componentes Velneo de 32 bits podrán ser ejecutados en SS.OO. tanto de 32 como de 64 bits.
  • El sistema operativo siempre actualizado con los últimos parches de seguridad.
  • Procesadores con soporte de SSE2 y AVX2.

Para Velneo vServer

  • Sistema operativo de 64 bits Windows 2008 Server, Windows 2012 Server (Windows 2003 server no está soportado).
    • Habilitar una regla en el firewall del sistema operativo para permitir el tráfico entrante y saliente por el puerto que tengamos asignado para Velneo vServer (por defecto el puerto 690)
  • Distribuciones basadas en Debian y derivados (Ubuntu, Kubuntu, etc.) con las siguientes características:
    • Kernel 2.6 o superior.
    • GLIBC 2.19 o superior.
    • Sistema operativo en versión servidor para Velneo vServer.
    • Ver notas al pie sobre otras librerías o distribuciones.
  • Si se van a hacer conexiones con los componentes de Velneo desde el exterior de nuestra red donde se instala Velneo vServer a éste, necesitamos abrir en nuestro firewall o router, el puerto que tengamos asignado para Velneo vServer (por defecto el puerto 690)
  • Suficiente espacio en disco rígido para crear las bases de datos de acuerdo a sus requisitos. Generalmente se recomienda un mínimo de 1 GB.
  • 2 Gb de RAM
  • En Linux, versión 1.0.x de las librerías de OpenSSL inslada.

Para Velneo vModApache

  • Apache versión 2.4 de 64 ó de 32 bits, dependiendo del sistema operativo..

Para el resto de componentes de Velneo

  • Sistemas Windows 7 y Windows 8 Pro y Windows 10 (Windows XP, Windows 2003 server, Windows Vista, Windows 8 RT y 8.1 RT, no están soportados).
  • Distribuciones basadas en Debian y derivados (Ubuntu, Kubuntu, etc.) con las siguientes características:
    • Kernel 2.6 o superior.
    • GLIBC 2.19 o superior.
    • Sistema operativo en versión servidor para Velneo vServer.
    • Sistemas operativos Mac OS X 10.8 y superiores.
  • Suficiente espacio en disco rígido para instalar los componentes de Velneo, más espacio de caché, etc., mínimo 300MB.

  • 4 Gb de RAM (2 Gb para 32 bits).

  • Para la ejecución de QML2 se requiere soporte de OpenGL 2.0 y drivers actualizados. En Windows, además, es posible hacer uso de DirectX o por software. El sistema detecta qué sistema está disponible, excepto en algunos casos con equipos antiguos en que se ha de configurar manualmente.

    • Para configurar manualmente el modo de ejecución de QML2 en Windows, usaremos la variable de sistema QT_OPENGL, que puede usar los siguientes valores:

      • desktop: OpenGL 2.X

      • angle: Usará directX11 preferiblemente.

      • software: Renderización por software.

Android

Versión de Android: Mínimo 4.3, recomendado 6.0.

Procesador: ARMv7, mínimo 1GHz Mhz (2.3), Recomendado +1GHz (+4.0).

Memoria RAM: Mínimo 512 MB, Recomendado +1GB.

Espacio en memoria de usuario/interna: Mínimo 200MB (Libre +65MB + Tamaño de proyectos), Recomendado +1GB.

Pantalla para aplicaciones móviles: Mínimo 320×480 (móvil), para aplicaciones de escritorio sin reprogramar: 800×600, Recomendado +1024×768.

Samsung DeX soportado.

iOS

Versión de iOS: Mínimo 8.1.

Espacio en memoria de usuario/interna: Mínimo 200MB (Libre +65MB + Tamaño de proyectos), Recomendado +1GB.

Pantalla para aplicaciones móviles: Mínimo 320×480 (móvil), para aplicaciones de escritorio sin reprogramar: 800×600, Recomendado +1024×768.

Cuando falten librerías o en otras distribuciones de Linux

Si queremos ejecutar por ejemplo Velneo vServer en alguna otra distribución y nos devuelve un error del tipo, por ejemplo,

user@ubuntu:~/VelneoV7-vServer$ ./vServer.sh -s /port=6900

./vServer.sh: 57: exec: ./vServer: not found

podemos intentar lo siguiente para que funcione correctamente:

Debemos comprobar que contamos con todas las librerías necesarias; para ello, podemos hacer lo siguiente:

Nos situamos en el directorio donde hemos extraído Velneo vServer y ejecutamos los siguientes comandos:

user@ubuntu:~/VelneoV7-vServer$ export LD_LIBRARY_PATH=.

user@ubuntu:~/VelneoV7-vServer$ ldd vServer | grep “not found” | sort | uniq

Ejemplo de salida:

libpulse.so.0 => not found

libstdc++.so.6 => not found

Debemos ahora, en función de nuestra distribución de linux, buscar en internet como instalar esas librerías que nos faltan.

Si trabajamos con una distribución sin interfaz, el servidor no requerirá librerías de interfaz pero, en el caso de querer ejecutar otros componentes de Velneo (vClient, por ejemplo) necesitaremos al menos que estén presentes los siguientes paquetes de librerías, además de los que pueda requerir el sistema:

libfontconfig1 libfreetype6 libx11 libxext6 libxfixes3 libxi6 libxrender1 libxcb1 libx11-xcb1 libxcb-glx0libgstreamer0.10-0 libgstreamer-plugins-base0.10-0

Notas sobre la instalación en Ubuntu

En Ubuntu 14.04 64 bits se necesita instalar las librerías siguientes usando los comandos que se indican a continuación:

sudo apt-get install libc6 libncurses5 libstdc++6 libgl1-mesa-glx pulseaudio libxrender1 libfreetype6 libfontconfig1

Velneo Cloud

La opción más sencilla, si no quieres “pelearte” con los sistemas operativos, para disponer de tu Velneo vServer es usar Velneo Cloud. Nosotros nos encargamos de darte un servicio sobre un sistema operativo configurado y optimizado para cumplir los requisitos que necesita Velneo vServer y así te olvidas de librerías y actualizaciones.

results matching ""

    No results matching ""